## com.lowagie.tools.arguments
Class PageSelectionTableDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.lowagie.tools.arguments.PageSelectionTableDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class PageSelectionTableDialog

extends javax.swing.JDialog

A dialog that allows you to select pages from an existing PDF file.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) javax.swing.JButton` `alljButton1`
`(package private) java.awt.BorderLayout` `borderLayout1`
`(package private) java.awt.BorderLayout` `borderLayout2`
`(package private) javax.swing.JButton` `evenjButton3`
`(package private) javax.swing.JLabel` `jLabel1`
`(package private) javax.swing.JPanel` `jPanel1`
`(package private) javax.swing.JScrollPane` `jScrollPane1`
`(package private) javax.swing.JTable` `jTable1`
`(package private) javax.swing.JToggleButton` `jToggleButton1`
`(package private) javax.swing.ListSelectionModel` `listSelectionModel1`
`(package private) javax.swing.JButton` `none`
`(package private) javax.swing.JButton` `oddjButton2`
`(package private) javax.swing.JPanel` `panel1`
`(package private) java.lang.String` `selectionstring`
`private static long` `serialVersionUID`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PageSelectionTableDialog(javax.swing.JInternalFrame jinternalframe)`
`PageSelectionTableDialog(javax.swing.JInternalFrame owner, java.lang.String title, boolean modal)`

Method Summary
`private void` `jbInit()`
`void` `jButton1_actionPerformed(java.awt.event.ActionEvent e)`
`void` `jButton2_actionPerformed(java.awt.event.ActionEvent e)`
`void` `jButton3_actionPerformed(java.awt.event.ActionEvent e)`
`void` `jToggleButton1_actionPerformed(java.awt.event.ActionEvent e)`
`void` `listSelectionModel1_valueChanged(javax.swing.event.ListSelectionEvent e)`
`void` `none_actionPerformed(java.awt.event.ActionEvent e)`
`private void` `pulllistselectionmodel()`
`void` `setDataModel(javax.swing.table.TableModel dataModel)`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### panel1

    javax.swing.JPanel panel1

### borderLayout1

    java.awt.BorderLayout borderLayout1

### listSelectionModel1

    javax.swing.ListSelectionModel listSelectionModel1

### jTable1

    javax.swing.JTable jTable1

### jScrollPane1

    javax.swing.JScrollPane jScrollPane1

### selectionstring

    java.lang.String selectionstring

### jLabel1

    javax.swing.JLabel jLabel1

### borderLayout2

    java.awt.BorderLayout borderLayout2

### jPanel1

    javax.swing.JPanel jPanel1

### alljButton1

    javax.swing.JButton alljButton1

### oddjButton2

    javax.swing.JButton oddjButton2

### evenjButton3

    javax.swing.JButton evenjButton3

### jToggleButton1

    javax.swing.JToggleButton jToggleButton1

### none

    javax.swing.JButton none

Constructor Detail

### PageSelectionTableDialog

    public PageSelectionTableDialog(javax.swing.JInternalFrame owner,
                                    java.lang.String title,
                                    boolean modal)

### PageSelectionTableDialog

    public PageSelectionTableDialog(javax.swing.JInternalFrame jinternalframe)

Method Detail

### jbInit

    private void jbInit()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setDataModel

    public void setDataModel(javax.swing.table.TableModel dataModel)

### listSelectionModel1_valueChanged

    public void listSelectionModel1_valueChanged(javax.swing.event.ListSelectionEvent e)

### pulllistselectionmodel

    private void pulllistselectionmodel()

### jButton1_actionPerformed

    public void jButton1_actionPerformed(java.awt.event.ActionEvent e)

### jButton3_actionPerformed

    public void jButton3_actionPerformed(java.awt.event.ActionEvent e)

### jButton2_actionPerformed

    public void jButton2_actionPerformed(java.awt.event.ActionEvent e)

### jToggleButton1_actionPerformed

    public void jToggleButton1_actionPerformed(java.awt.event.ActionEvent e)

### none_actionPerformed

    public void none_actionPerformed(java.awt.event.ActionEvent e)